* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  background-color: black;
  color: white;
}
.darkMode {
  filter: invert(1);
}
.left {
  height: 100%;
  min-width: 280px;
  max-width: 280px;
}
#logo img {
  width: 100px;
}
li {
  list-style: none;
}
.w-24 {
  width: 24px;
}
.bg-base {
  background-color: #121212;
}
.bg-lite {
  background-color: #242424;
}
.bg-highlight {
  background-color: #1a1a1a;
}

.container {
  margin-top: 4px;
  padding-top: 5px;
}
.home,
.library {
  padding: 22px 7px 10px 7px;
  /* padding: 22px 22px 10px 22px; */
}

.heading {
  display: flex;
  align-items: center;
  font-size: 1rem;
  color: #b3b3b3;
  padding: 4px 12px;
  transition: all;
  transition-duration: 0.3s;
}
.home ul li {
  margin: 15px 0px;
}
.home ul li span {
  margin-left: 18px;
}
.library {
  height: 73.3vh;
  position: relative;
}

.right {
  width: 100%;
  height: 98vh;
  position: relative;
}
.heading span {
  margin-left: 18px;
}
.heading:hover {
  color: white;
  cursor: pointer;
}
.button-box {
  margin: 10px 0px 20px 0px;
  padding: 16px 20px;
}
.button-box p:nth-child(2) {
  font-size: small;
}
.button {
  padding: 8px 16px;
  border-radius: 50px;
  font-weight: 600;
  border: none;
}
.button:hover {
  transform: scale(1.05);
}
.scroll-area {
  /* height: 50vh; */
  overflow-y: scroll;
}
.left-footer {
  width: 270px;
  color: #b3b3b3;
  margin: 20px 0px 20px 8px;
}
a {
  text-decoration: none;
  color: #b3b3b3;
}
/* Custom scrollbar styles */
::-webkit-scrollbar {
  opacity: 0;
  position: fixed;
  right: 0px;
  top: 0;
  width: 12px; /* Width of the scrollbar */
}

/* Track styles */
::-webkit-scrollbar-track {
  opacity: 0;
  position: fixed;
  right: 0;
  top: 0;
  background: transparent; /* Darker track color */
}

/* Handle styles */
::-webkit-scrollbar-thumb {
  opacity: 0;
  background: #666; /* Darker handle color */
  /* border-radius: 10px; Rounded corners */
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #888; /* Lighter handle color on hover */
}

/* Disable scrollbar corner */
::-webkit-scrollbar-corner {
  display: none;
}

.scroll-area-right {
  padding-top: 65px;
  height: 88vh;
  overflow: scroll;
  position: absolute;
  top: 0;
  z-index: 3;
}

.header {
  height: 64px;
  width: 100%;
  background-color: #121212;
  padding: 16px;
  position: absolute;
  z-index: 5;
  border-radius: 8px 8px 0px 0px;
}
.arrow {
  width: 32px;
  height: 32px;
  line-height: 1px;
  border: none;
  border-radius: 100%;
  background-color: black;
  cursor: pointer;
}
.arrows img {
  width: 16px;
}
.auth_buttons button {
  padding: 12px 32px;
  font-size: 15px;
}
#signup {
  background-color: transparent;
  color: #b3b3b3;
}
#signup:hover {
  color: #fff;
}

.artistsContainer {
  background: linear-gradient(#242424, #121212);
}
.artists {
  margin-top: 10px;
}
.card {
  position: relative;
  width: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 10px;
  transition: all;
  transition-duration: 0.15s;
  cursor: pointer;
}
.card:hover {
  background-color: #1a1a1a;
  border-radius: 5px;
}
.card img {
  width: 100%;
  height: 180px;
  border-radius: 100%;
}
.card h3 {
  font-size: medium;
  font-weight: normal;
}
.card p {
  color: #a7a7a7;
  font-size: small;
  word-wrap: break-word;
}
.play {
  width: 46px;
  height: 46px;
  background-color: #1ed760;
  position: absolute;
  top: 150px;
  right: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  border: none;
  opacity: 0;
  transition: all;
  transition-duration: 0.3s;
  box-shadow: 0px 6px 5px 1px rgba(0, 0, 0, 0.34);
  cursor: pointer;
}
.play img {
  width: 20px;
  height: 20px;
}
.card:hover .play {
  opacity: 1;
  top: 138px;
}
.info {
  width: 100%;
  margin-top: 10px;
}
.infoContainer {
  padding: 10px 0px 10px 10px;
  margin-bottom: 20px;
}
.cardContainer {
  margin-top: 10px;
}
.infoContainer h1 {
  padding-left: 10px;
}
.cardContainer img {
  border-radius: 10px;
}

.songbar {
  bottom: 0;
  width: 100%;
  border-radius: 0px 0px 8px 8px;
  background-color: #696969;
  padding: 7px 15px;
}
.songInfo {
  width: 140px;
}
.songImg img {
  width: 45px;
  border-radius: 3px;
}
.songDetail {
  height: 2.8rem;
}
.songDetail .artist {
  font-size: x-small;
}
.playbar {
 top: 7px; 
 gap: 3px;
}
#previous img {
  width: 20px;
}
#pp img {
  width: 30px;
}
#next img {
  transform: scaleX(-1);
  width: 20px;
}
.songButtons {
  height: 26px;
}
.songButtons button {
  background-color: transparent;
  border: none;
  cursor: pointer;
}
.seekbar {
  position: relative;
  bottom: 10px;
}
#seekbar {
  width: 500px;
  height: 2px;
  background-color: white;
}
#volume {
  cursor: pointer;
}
.volumebar {
  height: 25px;
}
.volumebar img {
  width: 20px;
}
#volumebar {
  width: 100px;
  height: 2px;
  background-color: white;
}
.mover {
  width: 8px;
  height: 8px;
  background-color: white;
  border-radius: 100%;
  opacity: 1;
  cursor: pointer;
}
#seekbar .mover {
  bottom: -2.5px;
  left: 0%;
}
#volumebar .mover {
  bottom: -4.5px;
  left: 0%;
}
.timingsAndButtons {
  width: 100%;
  height: 40px;
  padding: 0px 0px 0px 5px;
}
.time {
  align-items: baseline;
}